<script setup>
import { useAppStore } from '@/stores/AppStore'
</script>


<script>
export default {

	data() {
		const appStore = useAppStore()
		const item = appStore.member
		return {
			appStore,
			fields: [
				{ key: 'name', label: this.$t('common.name'), sortable: true },
				{ key: 'value', label: this.$t('common.value'), sortable: true },
			],
			items: [
				{ isActive: true, name: this.$t('role'), value: item.role },
				{ isActive: true, name: this.$t('locale'), value: item.locale },
				{ isActive: true, name: this.$t('name'), value: item.name },
				{ isActive: true, name: this.$t('signup'), value: item.created },
			],
		}
	},

	methods: {
	},

	i18n: {
		messages: {
			en: {
				title: "Dashboard",
				role: "Role",
				locale: "Locale",
				name: "Name",
				signup: "Sign Up",
				note: "b-table cannot localization!<br/>as of my knownledge, for now T_T<br/>Another possibly bug, there some error when you refresh this page.",
			},
			th: {
				title: "กระดานของคุณ",
				role: "ประเภท",
				locale: "ภาษา",
				name: "ชื่อ",
				signup: "สมัครสมาชิก",
				note: "b-table ไม่สามารถ localization ได้!<br/>อย่างน้อย ตามความเข้าใจของผู้เขียน T_T<br/>อีกอย่าง อาจเกิด error เวลา refresh หน้านี้",
			},
		},
	},
}
</script>


<template>
	<AuthenRequired>
		<AppBox v-if="appStore.member != null" :title="$t('title')">
			<img :width="128" :height="128" :src="appStore.icon" :alt="appStore.member.email"
				:title="appStore.member.name" />
			<br />

			<h2><strong>{{ appStore.member.email }}</strong></h2>
			<br />

			<table>
				<thead>
					<tr>
						<th><span>{{ $t('common.name') }}</span></th>
						<th><span>{{ $t('common.value') }}</span></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><span>{{ $t('role') }}</span></td>
						<td><span>{{ appStore.member.role }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('locale') }}</span></td>
						<td><span>{{ appStore.member.locale }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('name') }}</span></td>
						<td><span>{{ appStore.member.name }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('signup') }}</span></td>
						<td><span>{{ appStore.member.created }}</span></td>
					</tr>
				</tbody>
			</table>

			<div style="margin-top: 1rem; background: #fff">
				<b-table striped hover :items="items" :fields="fields"></b-table>
			</div>

			<b-alert variant="danger" show v-html="$t('note')"></b-alert>
		</AppBox>
	</AuthenRequired>
</template>


<style scoped>
table {
	border-collapse: collapse;
	border: 1px solid #999999;
}

table th {
	border: 1px solid #999999;
	padding: 0.75em 1.0em;
	font-weight: bold;
}

table td {
	border: 1px solid #999999;
	padding: 0.75em 1.0em;
}
</style>
